<?

function loads_copy($dir)
{
if (!is_file("$dir/.copy_ok")){

$copy=imagecreatefrompng(H.'style/logo_screen.png');
$dir=str_replace("//", "/", $dir);
$od=opendir($dir);
while ($rd=readdir($od))
{
if (is_dir("$dir/$rd") && $rd!='.' && $rd!='..' && !is_file("$dir/$rd/.copy_ok"))
{
loads_copy("$dir/$rd");
}
elseif (is_file("$dir/$rd") && ereg('\.GIF$',$rd))
{
@chmod("$dir/$rd",0777);
$img=@imagecreatefromgif("$dir/$rd");
@unlink("$dir/$rd");
$rd2=ereg_replace('\.GIF$', '.JPG', $rd);
@imagejpeg($img, "$dir/$rd2", 100);
@chmod("$dir/$rd2",0777);
@imagedestroy($img);
$img2=@imagecreatefromjpeg("$dir/$rd2");
@imagecopy($img2, $copy, (imagesx($img2)-imagesx($copy))/2, (imagesy($img2)-imagesy($copy))/2, 0, 0, imagesx($copy), imagesy($copy));
@imagejpeg($img2, "$dir/$rd2", 85);
@chmod("$dir/$rd2",0777);
@imagedestroy($img2);

}
elseif (is_file("$dir/$rd") && ereg('\.PNG$',$rd))
{
@chmod("$dir/$rd",0777);
$img=@imagecreatefrompng("$dir/$rd");
@unlink("$dir/$rd");
$rd2=ereg_replace('\.PNG$', '.JPG', $rd);
@imagejpeg($img, "$dir/$rd2", 100);
@chmod("$dir/$rd2",0777);
@imagedestroy($img);
$img2=@imagecreatefromjpeg("$dir/$rd2");
@imagecopy($img2, $copy, (imagesx($img2)-imagesx($copy))/2, (imagesy($img2)-imagesy($copy))/2, 0, 0, imagesx($copy), imagesy($copy));
@imagejpeg($img2, "$dir/$rd2", 85);
@chmod("$dir/$rd2",0777);
@imagedestroy($img2);

}
elseif (is_file("$dir/$rd") && ereg('\.JPG$',$rd))
{
@chmod("$dir/$rd",0777);
$img=@imagecreatefromjpeg("$dir/$rd");
@imagecopy($img, $copy, (imagesx($img)-imagesx($copy))/2, (imagesy($img)-imagesy($copy))/2, 0, 0, imagesx($copy), imagesy($copy));
@imagejpeg($img, "$dir/$rd", 85);
@chmod("$dir/$rd",0777);
@imagedestroy($img);

}

@file_put_contents("$dir/.copy_ok", 'Копирайты успешно наложены');
@chmod("$dir/.copy_ok",0777);
}
}
}

?>